Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594924 - corosync-1.2.3 wont build without corosync already installed
corosync-1.2.3 wont build without corosync already installed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Steven Dake
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 19:56 EDT by Steven Dake
Modified: 2016-04-26 10:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: corosync-1.2.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 08:53:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
revisoin 2095 from upstream to fix problem (1.18 KB, patch)
2010-05-21 19:59 EDT, Steven Dake
no flags Details | Diff
proper revision 2905 patch (1003 bytes, patch)
2010-05-26 13:53 EDT, Steven Dake
no flags Details | Diff

  None (edit)
Description Steven Dake 2010-05-21 19:56:27 EDT
Description of problem:
corosync-1.2.3-1 wont build without a prior version of corosync already installed.  Make distcheck works, and also it did build in brew, but cleaning up the build system first results in error.  This is an upstream regression and could lead to unbuildable version on rebuilds later.

Version-Release number of selected component (if applicable):
corosync-1.2.3-1

How reproducible:
100%

Steps to Reproduce:
1.remove all libraries includes and binaries from corosync
2.build corosync (using mock)
3.
  
Actual results:
build fails

Expected results:
build should succeed

Additional info:
Comment 1 Steven Dake 2010-05-21 19:59:35 EDT
Created attachment 415806 [details]
revisoin 2095 from upstream to fix problem
Comment 2 RHEL Product and Program Management 2010-05-21 20:15:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Steven Dake 2010-05-26 13:53:35 EDT
Created attachment 416953 [details]
proper revision 2905 patch
Comment 6 releng-rhel@redhat.com 2010-11-15 08:53:34 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.